#include "iocalc.h"

bool IOcalc :: isNumber(float *val)
{
   istringstream buf_num(_line, istringstream::in);

   if(buf_num >> *val)
      return true;

   return false;
}

void IOcalc :: getChar(char *c)
{
   istringstream buf_num(_line, istringstream::in);

   buf_num >> *c;
}

void IOcalc :: stackItem(int i, float val)
{ 
  cout << i << ": ";
  cout.precision( 2 );
  cout << fixed << val << endl;
} 

void IOcalc :: message(ErrorMsg status)
{
  prompt();

  switch(status)
  {
    case MSG_EMPTY:
      cout << "Empty Stack !" << endl;
      break;
    case MSG_TWO_OP:
      cout << "Two Operands Needed !" << endl;
      break;
    case MSG_UNKNOWN_OP:
      cout << "Invalid Operator !" << endl;
      break;
  }
}

