#ifndef _IOCALC_H
#define _IOCALC_H

#include <iostream>
#include <sstream>
#include <string>

using namespace std;

// Classe para entrada e saida (Input/Output) de dados para calculadora.
class IOcalc
{
 public:
   enum ErrorMsg { MSG_EMPTY, MSG_TWO_OP, MSG_UNKNOWN_OP };
 private:
   string  _line;
 public:
   void get() { cin >> _line; }
   bool isNumber(float *val);
   void getChar(char *c);
   void prompt()  { cout << "> "; }
   void message(ErrorMsg status);
   void stackItem(int i, float val);
};

#endif
