#ifndef _RPN_H
#define _RPN_H

#include "stack.h"

// Classe para calculadora "Reversed Polish Notation" - RPN.
class RPN
{
 private:
   // Atributo: pointeiro para um objeto da classe Stack.
   Stack *stk;

 public:
   RPN();
   RPN(unsigned int size);
   ~RPN();

 private:
   bool getop(float *val1, float *val2);

 public:
   void enter(float val);
   void sum();
   void sub();
   void mul();
   void div();
   void show();
};

#endif
