#include "rpn.h"
#include "iocalc.h"

// Rotina principal do programa para calculadora RPN (Reversed Polish Notation).
int main()
{
  RPN *hp = new RPN;

  IOcalc io;

  while(1)
  {
    io.prompt();
    io.get();

    float val; 
    if(io.isNumber(&val))
    {
      hp->enter(val);
    }
    else
    {
      char c;
      io.getChar(&c);
      switch(c)
      {
        case '+': hp->sum(); break;
        case '-': hp->sub(); break;
        case '/': hp->div(); break;
        case '*': hp->mul(); break;
        case 'q': delete hp; return 0;
        default:  io.message(IOcalc::MSG_UNKNOWN_OP);
      }
    }
    hp->show();
  }

  return 1;
}

